{
  "name": "@cyberjs.on/sign-pattern",
  "version": "2.0.1-1",
  "type": "module",
  "description": "Some helpful interfaces to implement Design Patterns.",
  "repository": {
    "url": "https://gitlab.com/home-labs/nodejs/ngen-pattern/-/tree/dev"
  },
  "readme": "https://gitlab.com/home-labs/nodejs/ngen-pattern/-/tree/dev/README.md",
  "license": "MPL-2.0",
  "devDependencies": {
    "@cyberjs.on/types": "1.0.0-6",
    "@types/node": "~14.14.37",
    "typescript": "~4.0.2"
  },
  "exports": {
    "./behavioral/iterator": "./behavioral/iterator/index.js",
    "./behavioral/memento": "./behavioral/memento/index.js"
  },
  "scripts": {
    "build:prepare": "git pull && tsc -b",
    "tests:behavioral:iterator": "node dist/@cyberjs.on/sign-pattern/behavioral/iterator/src/tests",
    "tests:behavioral:memento": "node dist/@cyberjs.on/sign-pattern/behavioral/memento/src/tests",
    "tests:behavioral:observer": "node dist/@cyberjs.on/sign-pattern/behavioral/observer/src/tests"
  }
}
